## wlassistant-trinity 14.0.4

=== debian/changelog ===
wlassistant-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 14:03:09 +0200

wlassistant-trinity (0.5.7-2~0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

wlassistant-trinity (0.5.7-2~0ubuntu2) intrepid; urgency=low

  * Moved to /opt/trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 17 Mar 2009 15:13:00 -0600

wlassistant-trinity (0.5.7-2~0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 05 Jan 2009 21:15:00 -0600

wlassistant (0.5.7-2) unstable; urgency=low

  * Fix clean target: cleanbuilddir common-configure-arch::
  * Remove Depends: tdelibs-bin - proper depends are pulled in via shlibs
    - wlassistant uninstallable after tdelibs(4:3.5.7.dfsg.1-4) (Closes:
    #437413)
  * Move to Applications/Network/Monitoring:
    - lintian fix menu-item-uses-apps-section

 -- Mark Purcell <msp@debian.org>  Sun, 12 Aug 2007 17:00:41 +0100

wlassistant (0.5.7-1) unstable; urgency=low

  * New upstream release
  * Robust get-orig-source target
  * Remove obsolete debian/TODO

 -- Mark Purcell <msp@debian.org>  Mon, 23 Apr 2007 21:54:31 +1000

wlassistant (0.5.6-1) unstable; urgency=low

  * New upstream release
  * New maintainer. (Closes: #410619: O: wlassistant -- KDE frontend for
    wireless network connection - Debian Bug report logs)
    - Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 18 Feb 2007 20:44:57 +0000

wlassistant (0.5.5-1) unstable; urgency=low

  * Initial release. (Closes: #322874)

 -- Stan Vasilyev <stan.vasilyev@csun.edu>  Sat, 18 Feb 2006 14:10:18 -0800

## wlassistant-trinity 14.0.6

=== po/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

file( GLOB_RECURSE po_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} wlassistant.po )

foreach( _po ${po_files} )
  get_filename_component( _lang ${_po} PATH )
  tde_create_translation( FILES ${_po} LANG ${_lang} )
endforeach( )

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES wlassistant.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### wlassistant(executable) ###################

tde_add_executable( wlassistant AUTOMOC
  SOURCES main.cpp netlistviewitem.cpp
    ui_NetParamsEdit.ui ui_netparamsedit.cpp
    ui_NetParamsWizard.ui ui_netparamswizard.cpp
    ui_main.ui waconfig.cpp watools.cpp wlassistant.cpp
  LINK tdecore-shared tdeui-shared iw
  DESTINATION ${BIN_INSTALL_DIR}
)

## wlassistant-trinity 14.0.5

=== debian/changelog ===
wlassistant-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:56:19 +0200

=== debian/control ===
Source: wlassistant-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cmake, cdbs, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
Standards-Version: 3.8.4

Package: wlassistant-trinity
Architecture: any
Depends: kicker-trinity, net-tools, wireless-tools, menu, ${shlibs:Depends}
Replaces: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
Breaks: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
Recommends: dhcp3-client | dhcp-client | dhcpcd
Description: User friendly TDE frontend for wireless network connection [Trinity]
 Wireless Assistant scans for wireless access points and displays link quality,
 encryption and other useful information. When user wants to connect to a
 network, Wireless Assistant opens up its wizards and guides the user through
 Wi-Fi settings. After a successful connection is made the settings are
 remembered so next time the user won't have to enter them again.
 .
  Homepage: http://wlassistant.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

## wlassistant-trinity 14.0.6

=== debian/changelog ===
wlassistant-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:57:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: wlassistant-trinity
 Architecture: any
 Depends: kicker-trinity, net-tools, wireless-tools, menu, ${shlibs:Depends}
-Replaces: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
-Breaks: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
+Replaces: wlassistant-trinity (<< 4:14.0.0~)
+Breaks: wlassistant-trinity (<< 4:14.0.0~)
 Recommends: dhcp3-client | dhcp-client | dhcpcd
 Description: User friendly TDE frontend for wireless network connection [Trinity]
  Wireless Assistant scans for wireless access points and displays link quality,

## wlassistant-trinity 14.0.8

=== debian/changelog ===
wlassistant-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:57:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cmake, cdbs, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
+Build-Depends: debhelper (>= 9~), quilt, cmake, cdbs, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4
 
 Package: wlassistant-trinity
 Architecture: any
 Depends: kicker-trinity, net-tools, wireless-tools, menu, ${shlibs:Depends}
-Replaces: wlassistant-trinity (<< 4:14.0.0~)
-Breaks: wlassistant-trinity (<< 4:14.0.0~)
+Replaces: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
+Breaks: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
 Recommends: dhcp3-client | dhcp-client | dhcpcd
 Description: User friendly TDE frontend for wireless network connection [Trinity]
  Wireless Assistant scans for wireless access points and displays link quality,

## wlassistant-trinity 14.0.9

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( wlassistant )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
add_subdirectory( icons )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
wlassistant-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:19:22 +0200

## wlassistant-trinity 14.0.10

=== debian/changelog ===
wlassistant-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wlassistant-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cmake, cdbs, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4
 
 Package: wlassistant-trinity

## wlassistant-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
@@ -67,7 +67,11 @@
 
 add_subdirectory( src )
 add_subdirectory( icons )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################

=== debian/changelog ===
wlassistant-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 20:29:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4
 
 Package: wlassistant-trinity

## wlassistant-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################

=== debian/changelog ===
wlassistant-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:45 +0100

## wlassistant-trinity 14.0.13

=== debian/changelog ===
wlassistant-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 13 Sep 2022 00:31:52 +0200

## wlassistant-trinity 14.1.0

=== debian/changelog ===
wlassistant-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## wlassistant-trinity 14.1.1

=== debian/changelog ===
wlassistant-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 12:18:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4
 
 Package: wlassistant-trinity
 Architecture: any
 Depends: kicker-trinity, net-tools, wireless-tools, menu, ${shlibs:Depends}
-Replaces: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
-Breaks: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
+Replaces: wlassistant-trinity (<< 4:14.0.0~)
+Breaks: wlassistant-trinity (<< 4:14.0.0~)
 Recommends: dhcp3-client | dhcp-client | dhcpcd
 Description: User friendly TDE frontend for wireless network connection [Trinity]
  Wireless Assistant scans for wireless access points and displays link quality,

## wlassistant-trinity 14.1.2

=== debian/changelog ===
wlassistant-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:36 +0200

## wlassistant-trinity 14.1.3

=== debian/changelog ===
wlassistant-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:36 +0200

## wlassistant-trinity 14.1.4

=== debian/changelog ===
wlassistant-trinity (4:14.1.4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## wlassistant-trinity 14.1.5~pre0

=== debian/changelog ===
wlassistant-trinity (4:14.1.5~pre0-0ubuntu18.04.0+3) bionic; urgency=low

  * Automated git build for 1b007cfdf602cc6863b07c828b4fdcc1388ca307
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4
 
 Package: wlassistant-trinity
 Architecture: any
 Depends: kicker-trinity, net-tools, wireless-tools, menu, ${shlibs:Depends}
-Replaces: wlassistant-trinity (<< 4:14.0.0~)
-Breaks: wlassistant-trinity (<< 4:14.0.0~)
+Replaces: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
+Breaks: wlassistant-kde3 (<< 4:14.0.0~), wlassistant-trinity (<< 4:14.0.0~)
 Recommends: dhcp3-client | dhcp-client | dhcpcd
 Description: User friendly TDE frontend for wireless network connection [Trinity]
  Wireless Assistant scans for wireless access points and displays link quality,

## wlassistant-trinity 14.1.5

=== debian/changelog ===
wlassistant-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## wlassistant-trinity 14.1.6~pre0

=== debian/changelog ===
wlassistant-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1b007cfdf602cc6863b07c828b4fdcc1388ca307
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## wlassistant-trinity 14.1.6~pre1

=== debian/changelog ===
wlassistant-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c479a9cb9a4a743e796acd208d7908c6adb05326
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:00:29 +0100

## wlassistant-trinity 14.2.0~pre21

=== debian/changelog ===
wlassistant-trinity (4:14.2.0~pre21-0raspbian13.0.0+6) raspbian-trixie; urgency=low

  * Automated git build for 09c4379361bea4fca83ae225ed2c9e9c78f3f605
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DAUTODETECT_QT_DIRS="ON" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=3

http://sf.net/wlassistant/wlassistant-(.*)\.tar\.bz2	debian	svn-upgrade

## wlassistant-trinity 14.2.0~pre22

=== debian/changelog ===
wlassistant-trinity (4:14.2.0~pre22-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a00b0d255068eb2ea53a0d45787a64638e447b80
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#wlassistant

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:04:59 +0100
